Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.ee
Interface EventManager

public interface EventManager

The EventManager interface allows applications to listen for JDO-related events.

Method Summary
`void` | `registerObjectEventListener(ObjectEventListener listen)` Register a listener to be notified when any persistent object changes are committed.
`void` | `registerTransactionEventListener(TransactionEventListener listen)` Register a listener to be notified when the transaction status of a PersistenceManager changes.
`void` | `removeObjectEventListener(ObjectEventListener listen)` Remove an object event listener; does nothing if listener is not registered.
`void` | `removeTransactionEventListener(TransactionEventListener listen)` Remove an object event listener; does nothing if listener is not registered.

Method Detail

### registerObjectEventListener

    public void registerObjectEventListener(ObjectEventListener listen)

  Register a listener to be notified when any persistent object changes are committed.

### registerTransactionEventListener

    public void registerTransactionEventListener(TransactionEventListener listen)

  Register a listener to be notified when the transaction status of a PersistenceManager changes.

### removeObjectEventListener

    public void removeObjectEventListener(ObjectEventListener listen)

  Remove an object event listener; does nothing if listener is not registered.

### removeTransactionEventListener

    public void removeTransactionEventListener(TransactionEventListener listen)

  Remove an object event listener; does nothing if listener is not registered.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.